import xhr from '@utils/http'

// 查询全部板块与楼盘信息
export function asyncSearch() {
  return xhr.get('/bnsregion/bns-region/mesName')
}
// 根据板块/楼盘名字查询指定板块/楼盘
export function queryDetailByName(name) {
  return xhr.get('/bnsregion/bns-region/mesByName', {
    name
  })
}
// 查询所有板块
export function queryAllPLate() {
  return xhr.get('/bnsregion/bns-region/regionByAdminRegion')
}
// 查询全部区域及楼盘数量
export function queryAllRegions() {
  return xhr.get('/bnsregion/bns-region/adminAndRegion')
}
// 根据行政区 查询该区域下的下属板块及板块的楼盘数目
export function queryPlateByRegionId(businessId) {
  return xhr.get('/bnsregion/bns-region/RegionAndProjectSize', {
   code: businessId
  })
}
// 根据板块Id查询板块的详细信息
export function queryPlateDetailById(businessId) {
  return xhr.get('/bnsregion/bns-region/mesBnsRegion', {
    businessId
  })
}
// 根据区域信息查询下属 楼盘/板块
export function queryPlateByRegion(param) {
  return xhr.get('/bnsregion/bns-region/RegionAndProjectSize', param)
}
// 楼盘详情查询
export function queryPropertyDetail(id) {
  return xhr.get('/bnsproject/bns-project/withProjectAndProduct/selectDetils/'+ id)
}
// 根据楼盘Id查询楼盘销售信息---供求数据
export function queryPropertySupplyData(projectId) {
  return xhr.get('/bnssale/bns-sale/selectProject', {
    projectId
  })
}
// 根据楼盘id查询产品分析详情
export function queryAnalysisById(projectId) {
  return xhr.get('/bnsproject/bns-project/withProjectAndProduct/getDetilProduct', {
    projectId
  })

}
// 根据土拍Id集合查询土拍信息
export function queryLandInfoById(landListId) {
  return xhr.post('/bnsproject/bns-project/withProjectAndProduct/getAllLandByIds',{
    landListId
  })
}
// 获取楼盘详情中 产品分析的导出Json数据
export function getJsonForProduction(projectId) {
  return xhr.get('/bnsproject/bns-project/withProjectAndProduct/getDetilProductJson', {
    projectId
  })
}
// 导出楼盘详情 产品供求数据与产品分析数据
export function exportPropertyAnalysis(data) {
  return xhr.downloadFile('/bnsregion/bns-region/downloadLP', data)
}
