const map = {
  'nxmk': '南向面宽',
  'qjsmk': '起居室面宽',
  'zwmk': '主卧面宽',
  'kwmk': '客卧面宽'
}
// 处理板块数据分析中的 房屋面宽数据 使之对应图表数据结构
export function dealHouseData(data) {
  let Arr = []
  let columArr = ['roomInfo']
  Object.keys(map).forEach(key => {
    let save = {}
    data.forEach(item => {
      if(columArr.length - 1 !== data.length) {
        columArr.push(item.production)
      }
      if(!save.roomInfo) {
        save.roomInfo = map[key]
      }
      save[item.production] = item[key]
    })
    Arr.push(save)
    return {
      cloum: columArr,
      rows: Arr
    }
  })
}

// 平均化经纬度坐标并返回
export function averagePosition(array) {
  let lng = 0
  let lat = 0
  array.forEach(item => {
    lng += item.longitude
    lat += item.latitude
  })
  return {
    longitude: Number(lng/array.length),
    latitude: Number(lat/array.length)
  }
}
// base64编码转BLOB对象
export function dataURLtoBlob(dataurl) {
  var arr = dataurl.split(',');
  var bstr = atob(arr[1]);
  var n = bstr.length;
  var mime = arr[0].match(/:(.*?);/)[1]
  var u8arr = new Uint8Array(n)
  while(n--){
    u8arr[n] = bstr.charCodeAt(n);
  }
  return new Blob([u8arr], {type: mime });
}
// 高得地图坐标转为百度地图坐标 弃用
export function GDmapPositionTransform(lng, lat) {
  var X_PI = Math.PI * 3000.0 / 180.0;
  var x = lng, y = lat;
  var z = Math.sqrt(x * x + y * y) + 0.00002 * Math.sin(y * X_PI);
  var theta = Math.atan2(y, x) + 0.000003 * Math.cos(x * X_PI);
  var bd_lng = z * Math.cos(theta) + 0.0065;
  var bd_lat = z * Math.sin(theta) + 0.006;
  return {
    lng: bd_lat,
    lat: bd_lng
  };
}
// 数组去重 map去重
export function distinct5(arr) {
  let result = [];
  let obj = {};

  for (let i of arr) {
    if (!obj[i]) {
      result.push(i);
      obj[i] = 1;
    }
  }

  return result;
}
// 下载文件--公共方法 blob文件 文件名 文件类型
export function downloadFile(blob, title, fileType) {
  return new Promise(resolve => {
    const url = window.URL.createObjectURL(new Blob([blob], { type: fileType }))
    const link = document.createElement('a')
    link.style.display = 'none'
    link.href = url
    link.setAttribute('download', title) // 自定义下载文件名
    document.body.appendChild(link)
    link.click()
    document.body.removeChild(link)
    resolve()
  })
}
