import Vue from "vue";
import App from "./App.vue";
import router from "@plugins/router"; // 比/src/router/index.js多做“token权限验证和页面重定向”处理
import store from './store'
import xhr from "@plugins/axios"

import '@assets/css/normailze.css';

import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
import locale from 'element-ui/lib/locale/lang/zh-CN' // lang i18n
import BaiduMap from 'vue-baidu-map'
import Vcharts from 'v-charts'
import Viewer from 'v-viewer'
// import ImageViewer from 'vue2-viewer'
import 'viewerjs/dist/viewer.css'
import '@assets/icons'

Vue.use(ElementUI, { locale })
Vue.use(BaiduMap, { ak: 'zzr05y1bPhSwRpzUzONk2aRKrX8AZl84' })
Vue.use(Vcharts)
Vue.use(Viewer, {
  defaultOptions: {
    zIndex: 9999,
    toolbar: true,
    fullscreen: false
  }})
// Vue.use(ImageViewer)
Vue.prototype.$axios = xhr
Vue.config.productionTip = false;
// 全局事件注册
window.eventBus = new Vue()

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount("#app");
